Redmine + Passenger rewriting .js
Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.4

Description

I Installed the latest stable from git, seemed to go fine, and pages will display, but it appears that any .js file is re-written to attempt to

load without it's proper file ending, resulting in a lot of the account options simply not working.  Right now I can't activate, lock or edit

accounts.

The error is:

Started GET "/javascripts/jquery-1.7.2-ui-1.8.21-ujs-2.0.3" for 24.22.114.23 at 2012-12-02 11:09:0

1 -0600

ActionController::RoutingError (No route matches [GET] "/javascripts/jquery-1.7.2-ui-1.8.21-ujs-2.

0.3"):

  actionpack (3.2.8) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

  railties (3.2.8) lib/rails/rack/logger.rb:26:in `call_app'

  railties (3.2.8) lib/rails/rack/logger.rb:16:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/request_id.rb:22:in `call'

  rack (1.4.1) lib/rack/methodoverride.rb:21:in `call'

  rack (1.4.1) lib/rack/runtime.rb:17:in `call'

  activesupport (3.2.8) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

  rack (1.4.1) lib/rack/lock.rb:15:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/static.rb:62:in `call'

  rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

  rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'

  rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'

  rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'

  rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

  railties (3.2.8) lib/rails/engine.rb:479:in `call'

  railties (3.2.8) lib/rails/application.rb:223:in `call'

  railties (3.2.8) lib/rails/railtie/configurable.rb:30:in `method_missing'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:516:in `accept_and_proce

ss_next_re                                                                                        

                                         quest'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:206:in `start_request_ha

ndler'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:171:in `block in handle_

spawn_appl                                                                                        

                                         ication'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/utils.rb:479:in `safe_fork'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:166:in `handle_spawn_app

lication'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:180:in `start'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:129:in `start'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:253:in `block (2 levels) in spawn_r

ack_applic                                                                                        

                                         ation'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'
  /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:246:in `block in spawn_rack_applica

tion'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:82:in `block in synchr

onize'

  <internal:prelude>:10:in `synchronize'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:244:in `spawn_rack_application'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:137:in `spawn_application'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  /usr/share/phusion-passenger/helper-scripts/passenger-spawn-server:99:in `<main>'

 My Apache2 site is currently not setup with any rewriting engine and I'm serving redmine from the base directory:

<VirtualHost *:80>

        ServerAdmin webmaster@localhost

        DocumentRoot /var/lib/redmine-2.1/public

        <Directory /var/lib/redmine-2.1/public>

                Options FollowSymLinks

                AllowOverride None

                Order allow,deny

                Allow from all

        </Directory>

</VirtualHost>

 ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]

Rails 3.2.8

History

#1 - 2012-12-02 18:32 - Nick Minkler

Ahh sorry, found in a random place that Passenger uses a default user of nobody:

I added PassengerDefaultUser www-data  to the  passenger.conf in /etc/apache2/mods-available/ directory, and reloaded apache and it works

perfectly now.

As it stands getting Redmine + Apache2 + Passenger working is extremely easy, the issue is all permission related, and the various errors thrown

don't seem permission related, it would be nice if the wiki was cleaned up to include a basic installation for this setup, there are currently close to 5

different ones, all formatted horribly and telling the user to do many different things.

#2 - 2012-12-02 19:36 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid
